File: 2395.txt

package info (click to toggle)
snort 2.7.0-20.4
  • links: PTS
  • area: main
  • in suites: lenny
  • size: 34,512 kB
  • ctags: 18,772
  • sloc: ansic: 115,404; sh: 10,893; makefile: 1,372; perl: 487; sql: 213
file content (66 lines) | stat: -rw-r--r-- 1,436 bytes parent folder | download | duplicates (6)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
Rule:

--
Sid:
2395

--
Summary:
This event is generated when an attempt is made to view a URL with the string "InteractiveQuery.jsp" in the name.

--
Impact:
Successful cross-site scripting attacks generally target the users of
your web site. Attackers can potentially gain access to your users'
cookies or session ids, allowing the attacker to impersonate your
user.

--
Detailed Information:
BEA WebLogic supplies a CGI script InteractiveQuery.jsp that may be susceptible to cross-site scripting.  The vulnerability
occurs because of improper sanitizing of data to the argument 'person'.  This may permit malicious code to be executed when
a user visits a vulnerable site.

--
Affected Systems:
BEA WebLogic 8.1 and earlier versions.

--
Attack Scenarios:
An attacker can lure a user to a website that is vulnerable, perhaps permitting the malicious code to be executed on the user's host.

--
Ease of Attack:
Simple

--
False Positives:
None Known

--
False Negatives:
None Known

--
Corrective Action:
Remove the InteractiveQuery.jsp script or move it from the server's CGI path.

Upgrade to the latest non affected versions of the software.

Configure the web browser to not allow the execution of code.

--
Contributors:
Sourcefire Research Team
Judy Novak<judy.novak@sourcefire.com>

--
Additional References:

Bugtraq:
http://www.securityfocus.com/bid/8938

CVE:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2003-0624

--